#include <utils/editor.hpp>

#define SIGPIPE_ALWAYS_IGNORE
#include <cppshell/shell.hpp>
#undef SIGPIPE_ALWAYS_IGNORE

namespace utils {
void OpenEditor(const std::string& file) {
  std::string editors[] = {"nvim", "vim", "vi"};

  cppshell::Shell shell;

  for (auto& editor : editors) {
    shell.Execute(editor + " " + file);
    if (shell.GetExitCodeLastCommand() == 0) {
      break;
    }
  }
}
}  // namespace utils
